# Class CIM_Container
extends CIM_Component

The Container association represents the relationship between a contained and a containing PhysicalElement. A containing object must be a PhysicalPackage.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_Container

## Direct Known Subclasses

CIM_CardOnCard
CIM_ChassisInRack
CIM_ConnectorOnPackage
CIM_PackagedComponent
CIM_PackageInChassis

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | The Container association represents the relationship between a contained and a containing PhysicalElement. A containing object must be a PhysicalPackage.
UMLPackagePath | string | CIM::Physical::Package
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
LocationWithinContainer | string |
Description | string | A free-form string representing the positioning of the PhysicalElement within the PhysicalPackage. Information relative to stationary elements in the Container (for example, 'second drive bay from the top'), angles, altitudes and other data may be recorded in this property. This string could supplement or be used in place of instantiating the CIM_Location object.
MappingStrings | string | MIB.IETF|Entity-MIB.entPhysicalParentRelPos

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_Container | CIM_PhysicalPackage
PartComponent | CIM_Container | CIM_PhysicalElement

## Class Methods